Subject: bug#46573: 28.0.50; Error when edebugging setting unbound place

From: Michael Heerdegen <[email-masked]>
Date: Thu, 04 Mar 2021 00:47:08 +0100

Stefan Monnier <[email-masked]> writes:

> Maybe we should add a special case for when `setf` is used for
> a simple variable such that the variable is not instrumented at all,
> just as is the case for `setq`?

I don't know.  Maybe not.

When the value expression is a list, i.e. not something self-evaluating
like an number, the behavior doesn't seem so strange anymore to me, it
makes sense.  And my gut feeling is that it would be more confusing to
handle different place expressions differently than setq and setf.

So the fix is ok from my side.  Thanks for the clarification.

Regards,

Michael.